/*  */
function exec_procedure_out(path, sval, mode, dform, ERI, procname, rpstr, ldiv, mtype, mutp) {
	//if (confirm(return_language_str(path, sval, '', 'CONFIRM_'+procname, ''))) {
	var url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&act=prout&ERI='+ERI+'&PROCNAME='+EncodeURLutf8(procname),
		merr = '',mdir = '',perm = '';
	var nmary = ['exec','qwe','sor','itms'];
	rpstr = rpstr.split(',');
	for (var i = 0; i < nmary.length; i++) {
		if ((rpstr[i]) && $('#'+rpstr[i]+mtype).length > 0) {
			if (perm != '') perm += '&';
			perm += nmary[i]+'='+EncodeURLutf8($('#'+rpstr[i]+mtype).val());
		}
	}
	$.get(url, '', function(msg) {
		// console.log(msg);
		var ret_msg = JSON.parse(msg);
		if (ret_msg[0].result == 'false') {
			if (ret_msg[0].idstrs) {
				var strs = ret_msg[0].idstrs.split(','), stid = '';
				for (var i = 0 ; i < strs.length ; i++) {
					if (strs[i].substr(0,1) == '#' || strs[i].substr(0,1) == '.') {
						stid = strs[i];
					} else stid = '#'+strs[i];
					$(dform+' '+stid).css('background-color','#FF7744');
				}
			}
			if (ret_msg[0].message) {
				merr += ret_msg[0].message;
			}
			alert(merr);
			return false;
		} else {
			if (ret_msg[0].ERI) {
				switch (mutp) {
					case 'R': mdir = 'manage'; break;
					case 'B':
					default: mdir = 'modules'; break;
				}
				alert(return_language_str(path, sval, '', 'EXECPROC_COMPLETE', '')+'!');
				loading_create('Y');
				post_redirect(ldiv, perm, path+mdir+'/'+mode+'/detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&mutp='+mutp+'&act=view&ERI='+ERI);
			}
		}
	});
	//}
}